Haz una pregunta
  Foros de Electrónica » Diseño digital » Microcontroladores y sistemas embebidos » Arduino y Raspberry Pi
Foros Registrarse ¿Olvidaste tu contraseña?
16/08/2014 #1


Libreria de infrarrojo en arduino da error
hola a todos, no se que hice mal, cargué una librería de controles remoto infrarrojos y al tratar de compilar un ejemplo me da error, se agradece la ayuda que me puedan brindar.
si alguien puede ensayar aquí subí la librería.
saludos!
17/08/2014 #2

Avatar de JoaquinFerrero

¿Y qué error da?
17/08/2014 #3


Hola, gracias por responder, te adjunto una foto del pantallazo
mil gracias!
Imágenes Adjuntas
Tipo de Archivo: jpg error arduino1.jpg (67,2 KB (Kilobytes), 20 visitas)
17/08/2014 #4


lopgar71 dijo: Ver Mensaje
Hola, gracias por responder, te adjunto una foto del pantallazo
mil gracias!
El error que da quiere decir que la libreria cuando utiliza el "tipo" uint8_t no puede encontrar su definición, es decir, no existe un archivo que forme parte del proceso de compilación donde se encuentre la definición del tipo.
Este error es ajeno a tu programación y es interno a la librería, puede que no tengas una buena instalación del arduino o que por el contrario el IDE no sea compatible con esa versión de la librería.
¿Has probado a utilizar otra versión?.
En resumen: No es problema de tu código, tiene que ver con la librería, seguramente sea temas de la versión.
17/08/2014 #5

Avatar de JoaquinFerrero

Es posible que te falte poner un

#include "Arduino.h"

al principio del programa, o mejor dicho, al principio de IRremoteInt.h

Mírate este hilo (en inglés).
17/08/2014 #6
Visitante


lopgar71 dijo: Ver Mensaje
hola a todos, no se que hice mal, cargué una librería de controles remoto infrarrojos y al tratar de compilar un ejemplo me da error, se agradece la ayuda que me puedan brindar.
si alguien puede ensayar aquí subí la librería.
saludos!

lopgar71 Bueno si la sacaste similar a este http://www.righto.com/2009/08/multi-...e-library.html se debe mas IR Code

Fíjate por aquí y te vas a dar cuenta que es lo que te falta: http://www.sherkhan.net/blogs/frikadas/?p=331

Para ayudarte mejor seria bueno que subiera el código que esta usando...
18/08/2014 #7


hola, les cuento que he probado lo que me dijeron y no obtuve resultado;instale el arduino 022 y en este si compilan los programas, pero ahora no me deja cargarlos en la placa,la cuál probé con el ejemplo del led blink en arduino 1.05 y funciona correctamente.
soy totalmente nuevo en esto perdonen las novatadas, les adjunto imagen de lo que me sale en pantalla
Saludos!
Imágenes Adjuntas
Tipo de Archivo: jpg prueba deco_ir1.jpg (51,6 KB (Kilobytes), 9 visitas)
26/08/2014 #8


hola a todos, después de reinstalar varias veces la versión 023, fue la que me funcionó y logré cargar el programa al arduino,
Gracias y saludos!
Respuesta
¿Tienes una mejor respuesta a este tema? ¿Quieres hacerle una pregunta a nuestra comunidad y sus expertos? Registrate

Buscar más temas sobre:
Lupa Arduino y Raspberry Pi

Cerrar
Foros de Electrónica » Diseño digital » Microcontroladores y sistemas embebidos » Arduino y Raspberry Pi

Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Search Engine Optimization by vBSEO ©2011, Crawlability, Inc.